//Software exemplo para leitura de temperatura
//Utilizando o shield OPS012 e sensor NTC
//Nesse software utilizaremos apenas a entrada AI1

//Entrada analógica
#define pin_AI1 35

//Variáveis de controle
int NTC_Raw = 0;                     //Valor da saída crua da entrada anaógica 0-10v
int NTC_Calibrado = 0;               //Valor de temperatura atual calibrado
int NTC_Ponto_1_Analog = 500;        //Valor analógico para calibração referente a 10.0°C (Os valores são arbitrários, apenas com o propósito demonstrativo)
int NTC_Ponto_1_Temp = 100;          //Valor temperatura para calibração referente a 10.0°C (verificar que existe a casa decimal, mas sem ponto por se tratar de um valor inteiro)
int NTC_Ponto_2_Analog = 2000;       //Valor analógico para calibração referente a 50.0°C (Os valores são arbitrários, apenas com o propósito demonstrativo)
int NTC_Ponto_2_Temp = 500;          //Valor temperatura para calibração referente a 50.0°C (verificar que existe a casa decimal, mas sem ponto por se tratar de um valor inteiro)

void setup() {
  //Inicializa comunicações
  Serial.begin(115200); // (USB)
  
}

void loop() {

  //************************************************************************************
  //Leitura da entrada da entrada analógica 0-10v
  //O valor de entrada tem 12 bits de resolução
  //************************************************************************************
  NTC_Raw = analogRead(pin_AI1);
  //Calibração da curva do sensor
  //Nesse caso estamos calibrando para 10.0°C e 50.0°C
  NTC_Calibrado = map(NTC_Raw, NTC_Ponto_1_Analog, NTC_Ponto_2_Analog, NTC_Ponto_1_Temp, NTC_Ponto_2_Temp);

}
